petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFECompositeGetMapping

Returns the mappings from the reference element to each subelement

### Synopsis

    #include "petscfe.h"
    #include "petscdt.h"
    PetscErrorCode PetscFECompositeGetMapping(PetscFE fem, PetscInt *numSubelements, const PetscReal *v0[], const PetscReal *jac[], const PetscReal *invjac[])

Not collective

### Input Parameter

fem -The PetscFE object

### Output Parameters

| blockSize | - The number of elements in a block
| numBlocks | - The number of blocks in a batch
| batchSize | - The number of elements in a batch
| numBatches | - The number of batches in a chunk

### See Also

PetscFECreate()

### Level

intermediate

### Location

src/dm/dt/fe/impls/composite/fecomposite.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages